package com.biganto.visual.roompark.presentation.screen.splash

import DaggerSplashScreenComponent
import com.biganto.visual.roompark.R
import com.biganto.visual.roompark.base.RoomParkApplication
import com.biganto.visual.roompark.conductor.BigantoBaseController
import com.biganto.visual.roompark.view_utils.snackbar.SnackBarProvider

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */

class SplashScreenController  :
    BigantoBaseController<SplashScreenViewState
        , SplashScreen
        , SplashScreenPresenter>()
    , SplashScreen {

//    @Inject
//    lateinit var rpActivity:RoomParkMainActivity

    fun getComponent() = DaggerSplashScreenComponent

        .factory()
        .create(RoomParkApplication.component,this)


    override fun getSnackBar() = SnackBarProvider(activity!!)//getComponent().snack(activity)

    override fun render(viewState: SplashScreenViewState) {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun createPresenter(): SplashScreenPresenter = getComponent().presenter

    override fun getLayoutId(): Int = R.layout.splash_screen


}